<form  class="dial" [formGroup]="UserForm">

 
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Nom" formControlName="nom">
    </mat-form-field>
  
    <mat-form-field class="example-full-width">
      <input matInput placeholder="Societé" formControlName="ste">
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="Email" formControlName="email">
    </mat-form-field>
  
    <mat-form-field>
        <mat-label>Rôle</mat-label>
        <select matNativeControl required formControlName="role">
            <option value="User">User</option>
            <option value="Admin">Admin</option>
          </select>
    </mat-form-field>
  
    <div class="example-button-row text-right">
  
      <button mat-button (click)="cancel()">Annuler</button>
      <button  mat-raised-button color="primary" (click)="onSubmit()">{{ isUpdate ? 'Modifier' : 'Ajouter'}}</button>
    </div>
  </form>
  
  <div [hidden]="!submitted">
      <h4>You submitted successfully!</h4>
  </div>
  